Zum Inhalt springen

Recraft V4 (Vector)

Integrieren

Modell-ID recraft/v4/text-to-vector
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft/v4/text-to-vector?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,08 $ 80 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
Recraft Text zu Bild #text-to-image#text-to-vector

Basis-Text-zu-Vektor-Modell Recraft V4, das SVG-Ausgaben aus einem Text-Prompt zurückgibt

Recraft · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich 88 / 10000
image_size Standard square_hd
Erweitert enable_safety_checker · colors · background_color
Standard []

Array mit bevorzugten Farben.

Bevorzugte Hintergrundfarbe für generierte Bilder.

POST /run/recraft/v4/text-to-vector?wait=20 Preis → 0,08 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft/v4/text-to-vector?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Recraft V4 (Vector)

Erzeugt Vektorbilder aus einem `prompt` mit bis zu 10.000 Zeichen unter Verwendung des Standardmodells V4. Sie können eine `image_size`-Voreinstellung, bevorzugte `colors` und eine `background_color` festlegen. Geeignet für markenorientierte Illustrations- und Grafikaufgaben. Gibt eine Liste von Bildern zurück.

Parameter

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
≤ 10.000 Zeichen
image_sizeoptional
Typobject
Standardsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
colorsoptional
Typobject[]
Standard[]
Array mit bevorzugten Farben.
colors[].roptional
Typinteger
Standard0
0 – 255
Wert des Rotanteils.
colors[].goptional
Typinteger
Standard0
0 – 255
Wert des Grünanteils.
colors[].boptional
Typinteger
Standard0
0 – 255
Wert des Blauanteils.
background_coloroptional
Typobject
Bevorzugte Hintergrundfarbe für generierte Bilder.
background_color.roptional
Typinteger
Standard0
0 – 255
Wert des Rotanteils.
background_color.goptional
Typinteger
Standard0
0 – 255
Wert des Grünanteils.
background_color.boptional
Typinteger
Standard0
0 – 255
Wert des Blauanteils.
enable_safety_checkeroptional
Typboolean
Standardtrue
Schalter für die Sicherheitsprüfung, dessen Deaktivierung eine Kontoberechtigung erfordert. Ohne diese Berechtigung wird jede Anfrage unabhängig von der Einstellung geprüft; true aktiviert die Prüfung.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4/text-to-vector",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
images
array of object {url, content_type, file_name, file_size}

Weitere Modelle: Text zu Bild

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/recraft/v4/text-to-vector.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt